# API Reference

- [AI](https://developers.raycast.com/api-reference/ai.md)
- [Browser Extension](https://developers.raycast.com/api-reference/browser-extension.md)
- [Cache](https://developers.raycast.com/api-reference/cache.md)
- [Command](https://developers.raycast.com/api-reference/command.md)
- [Clipboard](https://developers.raycast.com/api-reference/clipboard.md)
- [Environment](https://developers.raycast.com/api-reference/environment.md)
- [Feedback](https://developers.raycast.com/api-reference/feedback.md)
- [Alert](https://developers.raycast.com/api-reference/feedback/alert.md)
- [HUD](https://developers.raycast.com/api-reference/feedback/hud.md)
- [Toast](https://developers.raycast.com/api-reference/feedback/toast.md)
- [Keyboard](https://developers.raycast.com/api-reference/keyboard.md)
- [Menu Bar Commands](https://developers.raycast.com/api-reference/menu-bar-commands.md)
- [OAuth](https://developers.raycast.com/api-reference/oauth.md)
- [Preferences](https://developers.raycast.com/api-reference/preferences.md)
- [Storage](https://developers.raycast.com/api-reference/storage.md)
- [System Utilities](https://developers.raycast.com/api-reference/utilities.md)
- [User Interface](https://developers.raycast.com/api-reference/user-interface.md)
- [Action Panel](https://developers.raycast.com/api-reference/user-interface/action-panel.md)
- [Actions](https://developers.raycast.com/api-reference/user-interface/actions.md)
- [Detail](https://developers.raycast.com/api-reference/user-interface/detail.md)
- [Form](https://developers.raycast.com/api-reference/user-interface/form.md)
- [List](https://developers.raycast.com/api-reference/user-interface/list.md): The de-facto user interface in Raycast. Ideal to present similar data such as to-dos or files.
- [Grid](https://developers.raycast.com/api-reference/user-interface/grid.md)
- [Colors](https://developers.raycast.com/api-reference/user-interface/colors.md)
- [Icons & Images](https://developers.raycast.com/api-reference/user-interface/icons-and-images.md)
- [Navigation](https://developers.raycast.com/api-reference/user-interface/navigation.md)
- [Raycast Window & Search Bar](https://developers.raycast.com/api-reference/window-and-search-bar.md)
- [Tool](https://developers.raycast.com/api-reference/tool.md)
- [Window Management](https://developers.raycast.com/api-reference/window-management.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.raycast.com/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
